- Main Page
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Data Fields

# tcpip_msg Struct Reference

`#include <tcpip.h>`

## Data Fields
union {
api_msg * apimsg
struct {
netif * netif
pbuf * p
} inp
} | msg
sys_sem_t * | sem
enum tcpip_msg_type | type

## Detailed Description

Definition at line 50 of file tcpip.h.

## Field Documentation

struct api_msg* tcpip_msg::apimsg

Definition at line 54 of file tcpip.h.

Referenced by tcpip_apimsg().

struct { ... } tcpip_msg::inp

Referenced by tcpip_input().

union { ... } tcpip_msg::msg

Referenced by tcpip_apimsg(), tcpip_input(), and tcpip_thread().

struct netif* tcpip_msg::netif

Definition at line 57 of file tcpip.h.

struct pbuf* tcpip_msg::p

Definition at line 56 of file tcpip.h.

Referenced by tcpip_input().

sys_sem_t* tcpip_msg::sem

Definition at line 52 of file tcpip.h.

enum tcpip_msg_type tcpip_msg::type

Definition at line 51 of file tcpip.h.

The documentation for this struct was generated from the following file:

- src/sys/include/net/tcpip.h